# Uses of Enum
org.globus.gsi.GSIConstants.CertificateType

Packages that use GSIConstants.CertificateType
Package
Description
org.globus.gsi
This package conatins the basic security constructs used to build Globus security.
org.globus.gsi.bc
org.globus.gsi.trustmanager
org.globus.gsi.util
org.globus.tools
Contains higher-level components which utilize the jGlobus library.

## Uses of GSIConstants.CertificateType in org.globus.gsi

Methods in org.globus.gsi that return GSIConstants.CertificateType
Modifier and Type
Method
Description
`static GSIConstants.CertificateType`
GSIConstants.CertificateType.`get(int code)`
`GSIConstants.CertificateType`
X509Credential.`getProxyType()`
Returns the certificate type of the first certificate in the chain.
`static GSIConstants.CertificateType`
GSIConstants.CertificateType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static GSIConstants.CertificateType[]`
GSIConstants.CertificateType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of GSIConstants.CertificateType in org.globus.gsi.bc

Methods in org.globus.gsi.bc that return GSIConstants.CertificateType
Modifier and Type
Method
Description
`static GSIConstants.CertificateType`
BouncyCastleCertProcessingFactory.`decideProxyType(X509Certificate issuerCert, GSIConstants.DelegationType delegType)`
Given a delegation mode and an issuing certificate, decides an appropriate certificate type to use for proxies
`static GSIConstants.CertificateType`
BouncyCastleUtil.`getCertificateType(X509Certificate cert)`
Returns certificate type of the given certificate.
`static GSIConstants.CertificateType`
BouncyCastleUtil.`getCertificateType(X509Certificate cert, CertStore trustedCerts)`
Returns the certificate type of the given certificate.
`static GSIConstants.CertificateType`
BouncyCastleUtil.`getCertificateType(X509Certificate cert, TrustedCertificates trustedCerts)`
Deprecated.
`static GSIConstants.CertificateType`
BouncyCastleUtil.`getCertificateType(org.bouncycastle.asn1.x509.TBSCertificateStructure crt, TrustedCertificates trustedCerts)`
Methods in org.globus.gsi.bc with parameters of type GSIConstants.CertificateType
Modifier and Type
Method
Description
`X509Certificate`
BouncyCastleCertProcessingFactory.`createCertificate(InputStream certRequestInputStream, X509Certificate cert, PrivateKey privateKey, int lifetime, GSIConstants.CertificateType certType)`
Creates a proxy certificate from the certificate request.
`X509Certificate`
BouncyCastleCertProcessingFactory.`createCertificate(InputStream certRequestInputStream, X509Certificate cert, PrivateKey privateKey, int lifetime, GSIConstants.CertificateType certType, X509ExtensionSet extSet)`
Creates a proxy certificate from the certificate request.
`X509Certificate`
BouncyCastleCertProcessingFactory.`createCertificate(InputStream certRequestInputStream, X509Certificate cert, PrivateKey privateKey, int lifetime, GSIConstants.CertificateType certType, X509ExtensionSet extSet, String cnValue)`
Creates a proxy certificate from the certificate request.
`X509Credential`
BouncyCastleCertProcessingFactory.`createCredential(X509Certificate[] certs, PrivateKey privateKey, int bits, int lifetime, GSIConstants.CertificateType certType)`
Creates a new proxy credential from the specified certificate chain and a private key.
`X509Credential`
BouncyCastleCertProcessingFactory.`createCredential(X509Certificate[] certs, PrivateKey privateKey, int bits, int lifetime, GSIConstants.CertificateType certType, X509ExtensionSet extSet)`
Creates a new proxy credential from the specified certificate chain and a private key.
`X509Credential`
BouncyCastleCertProcessingFactory.`createCredential(X509Certificate[] certs, PrivateKey privateKey, int bits, int lifetime, GSIConstants.CertificateType certType, X509ExtensionSet extSet, String cnValue)`
Creates a new proxy credential from the specified certificate chain and a private key.
`X509Certificate`
BouncyCastleCertProcessingFactory.`createProxyCertificate(X509Certificate issuerCert_, PrivateKey issuerKey, PublicKey publicKey, int lifetime, GSIConstants.CertificateType certType, X509ExtensionSet extSet, String cnValue)`
Creates a proxy certificate.

## Uses of GSIConstants.CertificateType in org.globus.gsi.trustmanager

Methods in org.globus.gsi.trustmanager with parameters of type GSIConstants.CertificateType
Modifier and Type
Method
Description
`void`
CertificateChecker.`invoke(X509Certificate cert, GSIConstants.CertificateType certType)`
Validate the certificate.
`void`
CRLChecker.`invoke(X509Certificate cert, GSIConstants.CertificateType certType)`
Method that checks the if the certificate is in a CRL, if CRL is available If no CRL is found, then no error is thrown If an expired CRL is found, an error is thrown
`void`
DateValidityChecker.`invoke(X509Certificate cert, GSIConstants.CertificateType certType)`
Method that checks the time validity.
`void`
IdentityChecker.`invoke(X509Certificate cert, GSIConstants.CertificateType certType)`
Method that sets the identity of the certificate path.
`void`
SigningPolicyChecker.`invoke(X509Certificate cert, GSIConstants.CertificateType certType)`
Validate DN against the signing policy
`void`
UnsupportedCriticalExtensionChecker.`invoke(X509Certificate cert, GSIConstants.CertificateType certType)`
Method that checks if there are unsupported critical extension.

## Uses of GSIConstants.CertificateType in org.globus.gsi.util

Methods in org.globus.gsi.util that return GSIConstants.CertificateType
Modifier and Type
Method
Description
`static GSIConstants.CertificateType`
CertificateUtil.`getCertificateType(org.bouncycastle.asn1.x509.TBSCertificateStructure crt)`
Returns certificate type of the given TBS certificate.
Methods in org.globus.gsi.util with parameters of type GSIConstants.CertificateType
Modifier and Type
Method
Description
`static String`
ProxyCertificateUtil.`getProxyTypeAsString(GSIConstants.CertificateType proxyType)`
Returns a string description of a specified proxy type.
`static boolean`
ProxyCertificateUtil.`isGsi2Proxy(GSIConstants.CertificateType certType)`
Determines if a specified certificate type indicates a GSI-2 proxy certificate.
`static boolean`
ProxyCertificateUtil.`isGsi3Proxy(GSIConstants.CertificateType certType)`
Determines if a specified certificate type indicates a GSI-3 proxy certificate.
`static boolean`
ProxyCertificateUtil.`isGsi4Proxy(GSIConstants.CertificateType certType)`
Determines if a specified certificate type indicates a GSI-4 proxy certificate.
`static boolean`
ProxyCertificateUtil.`isImpersonationProxy(GSIConstants.CertificateType certType)`
Determines if a specified certificate type indicates a GSI-2 or GSI-3 or GSI-4 impersonation proxy certificate.
`static boolean`
ProxyCertificateUtil.`isIndependentProxy(GSIConstants.CertificateType certType)`
Determines if a specified certificate type indicates a GSI-3 or GS-4 limited proxy certificate.
`static boolean`
ProxyCertificateUtil.`isLimitedProxy(GSIConstants.CertificateType certType)`
Determines if a specified certificate type indicates a GSI-2 or GSI-3 or GSI=4 limited proxy certificate.
`static boolean`
ProxyCertificateUtil.`isProxy(GSIConstants.CertificateType certType)`
Determines if a specified certificate type indicates a GSI-2, GSI-3 or GSI-4proxy certificate.

## Uses of GSIConstants.CertificateType in org.globus.tools

Fields in org.globus.tools declared as GSIConstants.CertificateType
Modifier and Type
Field
Description
`protected GSIConstants.CertificateType`
ProxyInit.`proxyType`
Methods in org.globus.tools with parameters of type GSIConstants.CertificateType
Modifier and Type
Method
Description
`void`
ProxyInit.`setProxyType(GSIConstants.CertificateType proxyType)`